<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>無題ドキュメント</title>
</head>

<body>
<?php
$name = $_POST["name"];
if(strlen($name) < 1){
	//文字の長さが1文字未満=ユーザーが入力していない
	header("Location:index.php?e=1");//index.phpにリダイレクトさせる
}	
$email = $_POST["email"];
if(strlen($email) < 1){
	header("Location:index.php?e=2");
}
if(!preg_match('/^[a-zA-Z0-9][a-zA-Z0-9_\-\.\+]*@[a-zA-Z0-9][a-zA-Z0-9_\-\+]*\.[a-zA-Z0-9_\-\.\+]+$/',$email)){
	//正規表現と$emailを比較。本来一致していればtrueだが、正規表現と一致していないときにエラーにしたいので!を先頭につけてぐ符号逆転させる
	header("Location:index.php?e=3");
}	
$gender = intval($_POST["gender"]);//強制的に整数値に変換して格納
if($gender == 1){
	$gender = '女性';
}
elseif($gender == 2){
	$gender = '男性';
}
else{
	$gender = 'その他';
}	
$content = $_POST["content"];
?>
<h1>内容確認</h1>
<p>確認するが良いぞ(｀・ω・´)</p>
<p>名前：<?php print( htmlspecialchars($name,ENT_QUOTES)); ?></p>
<p>メールアドレス：<?php print(htmlspecialchars($email,ENT_QUOTES)); ?></p>
<p>性別：<?php print($gender); ?></p>
<p>お問い合わせ内容：<?php print(nl2br(htmlspecialchars($content,ENT_QUOTES))); ?></p>
<form action="comp.php" method="post" name="form1">
<input type="hidden" name="name" value="<?php print( htmlspecialchars($name,ENT_QUOTES)); ?>">
<input type="hidden" name="email" value="<?php print(htmlspecialchars($email,ENT_QUOTES)); ?>">
<input type="hidden" name="gender" value="<?php print($gender); ?>">
<input type="hidden" name="content" value="<?php print(nl2br(htmlspecialchars($content,ENT_QUOTES))); ?>">
	<p><input type="submit" value="確認しました"></p>
	<p><button type="button" onClick="history.back();">戻って修正</button></p>
</form>
</body>
</html>